#include <iostream>
using namespace std;

int main()
{
	int N, i, L, R, proizvod;
	int max = 0;
	int A[200005];
	int B[200005];
    int operacija1 = 0;
    int operacija2 = ~0;
	cin >> N;
	for (i = 0; i < N; i++) {
		cin >> A[i];
		cin >> B[i];
	}
	for (L = 0; L < N; L++) {
		for (R = L; R < N; R++) {
			operacija1 ^= A[R];
			operacija2 = B[R];
            proizvod = operacija1 * operacija2;
			if (max < proizvod) {
				max = proizvod;
			}
			}
		}
			}
	cout << max;
		}